commit:     61e7e6e7e213da1df6c85c71d7a1d5060cc0b855
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  9 04:58:42 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Apr  9 04:58:42 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61e7e6e7

dev-ruby/rake-compiler: add ruby25

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-ruby/rake-compiler/rake-compiler-1.0.4.ebuild | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/dev-ruby/rake-compiler/rake-compiler-1.0.4.ebuild 
b/dev-ruby/rake-compiler/rake-compiler-1.0.4.ebuild
index 2e58095c1a6..98ab9b282d3 100644
--- a/dev-ruby/rake-compiler/rake-compiler-1.0.4.ebuild
+++ b/dev-ruby/rake-compiler/rake-compiler-1.0.4.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
-USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
 
 RUBY_FAKEGEM_RECIPE_TEST="none"
 
@@ -25,7 +25,7 @@ ruby_add_rdepend "dev-ruby/rake"
 
 ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
 
-USE_RUBY="ruby21 ruby22" ruby_add_bdepend "test? ( dev-util/cucumber 
dev-ruby/rspec:2 )"
+USE_RUBY="ruby22 ruby23 ruby24" ruby_add_bdepend "test? ( dev-util/cucumber 
dev-ruby/rspec:2 )"
 
 all_ruby_prepare() {
        # Make sure the right rspec version is used in cucumber.
@@ -36,9 +36,9 @@ all_ruby_prepare() {
 }
 
 each_ruby_test() {
-       # Skip cucumber for ruby24 (not ready yet)
+       # Skip cucumber for new ruby versions (not ready yet)
        case ${RUBY} in
-               *ruby21|*ruby22)
+               *ruby22|*ruby23|*ruby24)
                        RSPEC_VERSION=3 ruby-ng_rspec
                        ruby-ng_cucumber
                        ;;

Reply via email to